#Read in Geometry Information
#============================
gfx read node Domain
gfx read elem Domain

#Window Commands
#===============
gfx create window 1 double_buffer;
gfx modify window 1 image scene default light_model default;
gfx modify window 1 image add_light default;
gfx modify window 1 layout simple ortho_axes z -y eye_spacing 0.25 width 469 height 490;
gfx modify window 1 set current_pane 1;
gfx modify window 1 background colour 1 1 1 texture none;
gfx modify window 1 view perspective eye_point 158.003 -384.849 294.627 interest_point 27.6493 -141.033 37.1382 up_vector -0.512715 0.478626 0.71277 view_angle 26.6957 near_clipping_plane 3.77807 far_clipping_plane 1350.15 relative_viewport ndc_placement -1 1 2 2 viewport_coordinates 0 0 1 1;
gfx modify window 1 overlay scene none;
gfx modify window 1 set transform_tool current_pane 1 std_view_angle 40 normal_lines no_antialias fast_transparency blend_normal;


#Material Commands
#=================
gfx create material default ambient 1 1 1 diffuse 1 1 1 emission 0 0 0 specular 0 0 0 alpha 1 shininess 0
gfx create material isosurface ambient 0.5 0.51 1 diffuse 0.5 0.5 1 emission 0.1 0.1 0.1 specular 0.1 0.1 0.1 alpha 1 shininess 0.5
gfx create material yellow diff 1 1 0 amb 1 1 0 alpha 1
#gfx create material red diff 1 0 0 amb 1 0 0
gfx create material red ambient 1 0 0 diffuse 1 0 0 emission 0 0 0 specular 0.2 0.2 0.2 alpha 0.7 shininess 0.2;
gfx create material extsurf amb 0 0 0 diffuse 0.2 0.2 0.5 alpha 0.2

#Spectrum Commands
#=================
gfx create spectrum MPotential clear
gfx modify spectrum MPotential clear overwrite_colour;
gfx modify spectrum MPotential linear reverse range -86 20 extend_above extend_below rainbow colour_range 0 1 ambient diffuse component 1;
gfx modify spectrum MPotential linear reverse range -86 20 banded number_of_bands 20 band_ratio 0.2 component 1;

gfx create spectrum EPotential clear
gfx modify spectrum EPotential clear overwrite_colour;
gfx modify spectrum EPotential linear reverse range -2000 0 extend_above extend_below rainbow colour_range 0 1 ambient diffuse component 1;
gfx modify spectrum EPotential linear reverse range -2000 0 banded number_of_bands 20 band_ratio 0.2 component 1;


#Fist solution
#================
gfx read data LVEndocardium
gfx read data RVEndocardium
gfx read element MemPot_0       #read in the field
gfx read data Epicardium


#Drawing Commands
#================
gfx modify g_element Domain general clear circle_discretization 6 default_coordinate coordinates element_discretization "12*12*12" native_discretization grid_point_number;
gfx modify g_element Domain lines select_on invisible material black selected_material default_selected;

gfx modify g_element LVEndocardium general clear circle_discretization 6 default_coordinate axis1 element_discretization "4*4*4" native_discretization none;
gfx modify g_element LVEndocardium lines select_on invisible material default selected_material default_selected;
gfx modify g_element LVEndocardium data_points coordinate element_xi_coordinate glyph cube_solid general size "2*2*2" centre 0,0,0 select_on material green selected_material default_selected;

gfx modify g_element RVEndocardium general clear circle_discretization 6 default_coordinate axis1 element_discretization "4*4*4" native_discretization none;
gfx modify g_element RVEndocardium lines select_on invisible material default selected_material default_selected;
gfx modify g_element RVEndocardium data_points coordinate element_xi_coordinate glyph cube_solid general size "2*2*2" centre 0,0,0 select_on material gold selected_material default_selected;

gfx modify g_element MemPSolution general clear circle_discretization 6 default_coordinate coordinates element_discretization "50*50*50" native_discretization grid_point_number;
gfx modify g_element MemPSolution iso_surfaces iso_scalar potential iso_value 0 use_elements select_on material red selected_material default_selected render_shaded;
gfx modify g_element MemPSolution iso_surfaces iso_scalar potential iso_value -50 use_elements select_on invisible material white selected_material default_selected render_shaded;
gfx modify g_element MemPSolution iso_surfaces iso_scalar potential iso_value -84 use_elements select_on invisible material white selected_material default_selected render_shaded;

gfx modify g_element Epicardium general clear circle_discretization 6 default_coordinate axis1 element_discretization "4*4*4" native_discretization none;
gfx modify g_element Epicardium lines select_on invisible material default selected_material default_selected;
gfx modify g_element Epicardium data_points coordinate element_xi_coordinate glyph point general size "1*1*1" centre 0,0,0 select_on material black selected_material default_selected;

